Self-serve contractor payments

Self Serve Configure Payment Schedule

Stores the org's payment schedule type and pay dates and returns the computed next pay date.

POSThttps://api.toku.com/hris/self-serve-configure-payment-schedule

Not available to API keys yet. It will need payments:write.

curl --request POST \
  --url 'https://api.toku.com/hris/self-serve-configure-payment-schedule' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "scheduleType": "MONTHLY_15TH",
  "customDates": [
    0
  ]
}'
200 response
{
  "success": true,
  "nextPayDate": "string",
  "scheduleType": "MONTHLY_15TH",
  "paymentDates": [
    0
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

scheduleTypestringrequired

Available options: MONTHLY_15TH, SEMI_MONTHLY, MONTHLY_LAST_DAY, CUSTOM

customDatesnumber[]

Allowed: at most 2 items

Response

200Successful response
successbooleanrequired
nextPayDatestring | nullrequired
scheduleTypestringrequired

Available options: MONTHLY_15TH, SEMI_MONTHLY, MONTHLY_LAST_DAY, CUSTOM

paymentDatesnumber[]required
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits